﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using ClassLibrarySum;

namespace ConsoleArcSin
{
    class ArcSin
    {
        static void Main(string[] args)
        {
            double x = 0, Asin = 0;
            double eps = 1E-13;
            double time;
            DateTime start, finish;


            Console.WriteLine("Введите вещественное x по модулю меньше 1 ");
            x = double.Parse(Console.ReadLine());
            Console.WriteLine("Вычисление суммы сходящегося ряда ");
            Console.WriteLine("На примере вычисления функции ArcSin(x) ");
            Console.WriteLine("x = {0}, ArcSin(x) = {1} ",
                x, Math.Asin(x));
            const int povtor = 100000;
            Infinite_series inf_series = new Infinite_series(eps);
            
            start = DateTime.Now;
            for (int i = 1; i < povtor; i++)
            {
                Asin = inf_series.Seq_ArcSin(x);
            }
            finish = DateTime.Now;
            time = (finish - start).Ticks * 1e-7;
            Console.WriteLine("Последовательный алгоритм: {0}, время: {1} ",
                Asin, time);

            for (int r = 1; r < 5; r++)
            {
                start = DateTime.Now;
                for (int i = 1; i < povtor; i++)
                {
                    Asin = inf_series.Parallel_ArcSin(x, r);
                }
                finish = DateTime.Now;
                time = (finish - start).Ticks * 1e-7;

                Console.WriteLine("Шаговый алгоритм: {0}, число групп {1}, " +
            "время: {2} ", Asin, r, time);
            }
        }
    }
}
