﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ClassLibraryReadersWriters;


namespace WindowsFormsTasksAndInstruments
{
    public partial class FormReadersWriters : Form
    {
        public FormReadersWriters()
        {
            InitializeComponent();
        }

        private void buttonModel_Click(object sender, EventArgs e)
        {
            int developers, testers, programmers;
            developers = int.Parse(textBoxDevelopers.Text);
            testers = int.Parse(textBoxTesters.Text);
            programmers = int.Parse(textBoxProgrammers.Text);
            Model model = new Model(developers, testers, programmers);
            model.ModelWorkWithProject();
            Project myproject = model.MyProject;

            textBoxProgram.Text = myproject.Program;
            textBoxQueueDev.Text = myproject.DQ.ToString();
            textBoxQueueProg.Text = myproject.PQ.ToString();
            textBoxQueueTester.Text = myproject.TQ.ToString();
        }

        private void buttonClear_Click(object sender, EventArgs e)
        {
            textBoxQueueProg.Clear();
            textBoxQueueDev.Clear();
            textBoxQueueTester.Clear();
            textBoxProgram.Clear();
        }

       

        
    }
}
