﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ClassLibrarySorting;

namespace ConsoleSorting
{
    class Program
    {
        static void Main(string[] args)
        {
            const string OK = "Массив отсортирован";
            const string NOK = "Ошибка сортировки";
            const string MB = "Метод Bubble";
            const string PB = "Метод Parallel_Bubble";
            const string MQ = "Метод QuickSort";
            const string PMQ = "Метод параллельный рекурсивный PQuickSort";
            const string PQ = "Метод ParallelQuickSort";
            const string PBE = "Метод ParallelBetcher";
            const string TS = "Время сортировки (в секундах) ";
            const string NL = "\r\n";
            DateTime start, finish;
                  
                     Console.WriteLine("Введите размерность массива");
                     int n = int.Parse(Console.ReadLine());
                     Console.WriteLine("Введите max (- max ... max) диапазон для элементов массива ");
                     int max = int.Parse(Console.ReadLine());

                     double[] source = Sorting.Create_Random_Massiv(n, max);
                     Console.WriteLine("Создан массив со случайными значениями элементов");
                     double time;
                     double[] mas = new double[n];
                     Console.WriteLine("Введите число групп");
                     int p = int.Parse(Console.ReadLine());
       /*      
                                 Array.Copy(source, mas, n);
                                 start = DateTime.Now;
                                     Sorting.BubbleSortClassic(mas);
                                 finish = DateTime.Now;
                                 time = (finish - start).Ticks * 1e-7;
                                 if(Sorting.Is_Sorted(mas))
                                     Console.WriteLine(OK + NL + MB + NL + TS + time);
                                 else
                                     Console.WriteLine(NOK + NL + MB + NL + TS + time);

                        
                                 Array.Copy(source, mas, n);
                                 start = DateTime.Now;
                                     Sorting.BubbleParallel(mas, p);
                                 finish = DateTime.Now;
                                 time = (finish - start).Ticks * 1e-7;
                                 if (Sorting.Is_Sorted(mas))
                                     Console.WriteLine(OK + NL + PB + NL + TS + time);
                                 else
                                   Console.WriteLine(NOK + NL + PB + NL + TS + time);
     */       
                     Array.Copy(source, mas, n);
                     start = DateTime.Now;
                         Sorting.QuickSort(mas);
                     finish = DateTime.Now;
                     time = (finish - start).Ticks * 1e-7;
                     if (Sorting.Is_Sorted(mas))
                         Console.WriteLine(OK + NL + MQ + NL + TS + time);
                     else
                         Console.WriteLine(NOK + NL + MQ + NL + TS + time);

           
                     Array.Copy(source, mas, n);
                     start = DateTime.Now;
                     Sorting.QuickSortParallel(mas, p);
                     finish = DateTime.Now;
                     time = (finish - start).Ticks * 1e-7;
                     if (Sorting.Is_Sorted(mas))
                         Console.WriteLine(OK + NL + PQ + NL + TS + time);
                     else
                         Console.WriteLine(NOK + NL + PQ + NL + TS + time);

                     Array.Copy(source, mas, n);
                     start = DateTime.Now;
                     Sorting.PQuickSort(mas);
                     finish = DateTime.Now;
                     time = (finish - start).Ticks * 1e-7;
                     if (Sorting.Is_Sorted(mas))
                         Console.WriteLine(OK + NL + PMQ + NL + TS + time);
                     else
                         Console.WriteLine(NOK + NL + PMQ + NL + TS + time);
            
                     Array.Copy(source, mas, n);
                     start = DateTime.Now;
                         Sorting.PBetcher(mas);
                     finish = DateTime.Now;
                     time = (finish - start).Ticks * 1e-7;
                     if (Sorting.Is_Sorted(mas))
                         Console.WriteLine(OK + NL + PBE + NL + TS + time);
                     else
                         Console.WriteLine(NOK + NL + PBE + NL + TS + time);
         /*

                     double[] mastest = { 503, 87, 512, 61, 908, 170, 897, 275, 653, 426, 154, 509, 612, 677, 765, 12, 
                                  
                                       503, 87, 512, 61, 908, 170, 897, 275, 653, 426, 154, 509, 612, 677, 765, 703,
                                       503, 87, 512, 61, 908, 170, 897, 275, 653, 426, 154, 509, 612, 677, 765, 703,
                                       503, 87, 512, 61, 908, 170, 897, 275, 653, 426, 154, 509, 612, 677, 765, 703,
                 503, 87, 512, 61, 908, 170, 897, 275, 653, 426, 154, 509, 612, 677, 765, 703,
                                       503, 87, 512, 61, 908, 170, 897, 275, 653, 426, 154, 509, 612, 677, 765, 703,
                                       503, 87, 512, 61, 908, 170, 897, 275, 653, 426, 154, 509, 612, 677, 765, 703,
                 503, 87, 512, 61, 908, 170, 897, 275, 653, 426, 154, 509, 612, 677, 765, 703,
                                       503, 87, 512, 61, 908, 170, 897, 275, 653, 426, 154, 509, 612, 677, 765, 703,
                                       503, 87, 512, 61, 908, 170, 897, 275, 653, 426, 154, 509, 612, 677, 765, 703,
                 503, 87, 512, 61, 908, 170, 897, 275, 653, 426, 154, 509, 612, 677, 765, 703,
                                       503, 87, 512, 61, 908, 170, 897, 275, 653, 426, 154, 509, 612, 677, 765, 703,
                                       503, 87, 512, 61, 908, 170, 897, 275, 653, 426, 154, 509, 612, 677, 765, 703,
                 503, 87, 512, 61, 908, 170, 897, 275, 653, 426, 154, 509, 612, 677, 765, 703,
                                       503, 87, 512, 61, 908, 170, 897, 275, 653, 426, 154, 509, 612, 677, 765, 703,
                                       503, 87, 512, 61, 908, 170, 897, 275, 653, 426, 154, 509, 612, 677, 765, 703};

           
                    Sorting.Betcher(mastest);
             */

        }
        
 
    }
}
