﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using ClassLibrarySum;

namespace ConsoleMassiv_Sum
{
    class Massiv_Sum
    {
        static void Main(string[] args)
        {
            int size = 1000;
            int p = 10;
            double time;
            double Sum;

            for (int i = 1; i < 5; i++)
            {
                size *= 10;
                Massiv mas = new Massiv(size, p, 2000);
                mas.CreateRandomMassiv();

                Sum = mas.Sum_Seq(out time);
                Console.WriteLine("Последовательный алгоритм с for");
                Console.WriteLine("n = {0}, Sum = {1}, Time = {2}",
                    size, Sum, time);

                Sum = mas.Sum_Piramid(out time);
                Console.WriteLine("Пирамидальный алгоритм с Parallel.For");
                Console.WriteLine("n = {0}, Sum = {1}, Time = {2}",
                 size, Sum, time);

                Sum = mas.Sum_Seg(out time);
                Console.WriteLine("Сегментный алгоритм с Parallel.For");
                Console.WriteLine("n = {0}, Sum = {1}, Time = {2}",
                    size, Sum, time);

                Sum = mas.Sum_Step(out time);
                Console.WriteLine("Шаговый алгоритм с Parallel.For");
                Console.WriteLine("n = {0}, Sum = {1}, Time = {2}",
                    size, Sum, time);

                Sum = mas.Sum_Thread(out time);
                Console.WriteLine("Шаговый алгоритм с потоками - Thread");
                Console.WriteLine("n = {0}, Sum = {1}, Time = {2}",
                    size, Sum, time);
            }
        }
    }
}
