﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ClassLibrarySum;

namespace WindowsFormsSum
{
    public partial class FormArcSin : Form
    {
        public FormArcSin()
        {
            InitializeComponent();
        }
        double x = 0;
        double eps = 0;
        double povtor = 0;
        double fun = 0, time = 0;
        DateTime start, finish;
        Infinite_series inf_series;
    
        private void buttonEval_Click(object sender, EventArgs e)
        {
            x = double.Parse(textBoxX.Text);
            eps = double.Parse(textBoxEps.Text);
            povtor = double.Parse(textBoxPovtor.Text);            
            inf_series = new Infinite_series(eps);

            //класс Math
            fun = Math.Asin(x); time = 0;
            textBox_Math_Fun.Text = fun.ToString(); 
            textBox_Math_Time.Text = time.ToString();

            //последовательный алгоритм
            start = DateTime.Now;
                for (int i = 1; i < povtor; i++)
                {
                    //fun = mas.Seq_ArcSin(x);
                    fun = inf_series.Seq_ArcSin(x);
                }
            finish = DateTime.Now;
            time = (finish - start).Ticks * 1e-7;
            textBox_Seq_Fun.Text = fun.ToString();
            textBox_Seq_Time.Text = time.ToString();

            //шаговые параллельные алгоритмы
            FT(x, 1, out fun, out time);
            textBox_Step1_Fun.Text = fun.ToString();
            textBox_Step1_Time.Text = time.ToString();

            FT(x, 2, out fun, out time);
            textBox_Step2_Fun.Text = fun.ToString();
            textBox_Step2_Time.Text = time.ToString();

            FT(x, 3, out fun, out time);
            textBox_Step3_Fun.Text = fun.ToString();
            textBox_Step3_Time.Text = time.ToString();

            FT(x, 4, out fun, out time);
            textBox_Step4_Fun.Text = fun.ToString();
            textBox_Step4_Time.Text = time.ToString();
        }
        void FT(double x, int p, out double f, out double t)
        {
            f = 0;
            start = DateTime.Now;
            for (int i = 0; i < povtor; i++)            
                //f = mas.Parallel_ArcSin(x, p);
                f = inf_series.Parallel_ArcSin(x, p);
            finish = DateTime.Now;
            t = (finish - start).Ticks * 1e-7;
        }

      

        private void buttonClear_Click(object sender, EventArgs e)
        {
            textBox_Math_Fun.Clear();
            textBox_Math_Time.Clear();
            textBox_Seq_Fun.Clear();
            textBox_Seq_Time.Clear();
            textBox_Step1_Fun.Clear();
            textBox_Step1_Time.Clear();
            textBox_Step2_Fun.Clear();
            textBox_Step2_Time.Clear();
            textBox_Step3_Fun.Clear();
            textBox_Step3_Time.Clear();
            textBox_Step4_Fun.Clear();
            textBox_Step4_Time.Clear();

        }
    }
}
