﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ClassLibraryTasksAndInstruments;
using System.Threading;

namespace WindowsFormsTasksAndInstruments
{
    public partial class FormClinch : Form
    {
        public FormClinch()
        {
            InitializeComponent();
        }
        int wife_sum;
        int daughter_sum;
        Random rnd = new Random();
        private void buttonPossibleClinch_Click(object sender, EventArgs e)
        {
            wife_sum = rnd.Next(1000000);
            daughter_sum = rnd.Next(1000000);
            Garnitur garnitur = new Garnitur(100000, 150000,
                "прекрасное кольцо из гарнитура",
                                     "замечательные серьги из гарнитура");
            bool wife_ring_success = false, wife_earrings_success = false;
            bool daughter_ring_success = false,
                            daughter_earrings_success = false;
            string wife_compare = "Жена: ", daughter_compare = "Дочь: ";
            //Создание потоков
            //Анонимные методы вызывают методы класса Garnitur
            Thread wbp = new Thread(() =>
            {
                garnitur.Buy_RingAndEarRings(wife_sum,
                                 out  wife_ring_success,
                    out  wife_earrings_success, ref wife_compare);
            });
            Thread dpb = new Thread(() =>
            {
                garnitur.Buy_EarRingsAndRing(daughter_sum,
                                    out  daughter_ring_success,
                    out  daughter_earrings_success, ref daughter_compare);
                
            });
            //Запуск потоков. Возникнет клинч!!
            wbp.Start();
            dpb.Start();
            //основной поток приостанавливается
            wbp.Join();
            dpb.Join();
            //Обработка результатов работы потоков
            
            if (wife_ring_success)
                textBoxRing.Text = "Кольцо купила жена";
            if (wife_earrings_success)
            {
              textBoxEarRings.Text = "Серьги купила жена";
              textBoxDeclaration.Text = wife_compare;
            }
            if (daughter_ring_success)
                textBoxRing.Text = "Кольцо купила дочь";
            if (daughter_earrings_success)
            {
                textBoxEarRings.Text = "Серьги купила дочь";
                textBoxDeclaration.Text = daughter_compare;
            }

        }

        private void buttonWithoutClinch_Click(object sender, EventArgs e)
        {
            wife_sum = rnd.Next(1000000);
            daughter_sum = rnd.Next(1000000);
            Garnitur garnitur = new Garnitur(100000, 150000,
                "прекрасное кольцо из гарнитура",
                                     "замечательные серьги из гарнитура");
            bool wife_ring_success = false, wife_earrings_success = false;
            bool daughter_ring_success = false,
                            daughter_earrings_success = false;
            string wife_compare = "Жена: ", daughter_compare = "Дочь: ";
            //Создание потоков
            //Анонимные методы вызывают методы класса Garnitur
            Thread wbp = new Thread(() =>
            {
                garnitur.Buy_RingAndEarRings(wife_sum,
                                 out  wife_ring_success,
                    out  wife_earrings_success, ref wife_compare);
            });
            Thread dpb = new Thread(() =>
            {
                garnitur.Buy_RingAndEarRings(daughter_sum, 
                out  daughter_ring_success, 
                out  daughter_earrings_success, ref daughter_compare);
            });
            //Запуск потоков. Клинч не возникнет. Оба потока используют один метод
            wbp.Start();
            dpb.Start();
            //основной поток приостанавливается
            wbp.Join();
            dpb.Join();
            //Обработка результатов работы потоков

            if (wife_ring_success)
                textBoxRing.Text = "Кольцо купила жена";
            if (wife_earrings_success)
            {
                textBoxEarRings.Text = "Серьги купила жена";
                textBoxDeclaration.Text = wife_compare;
            }
            if (daughter_ring_success)
                textBoxRing.Text = "Кольцо купила дочь";
            if (daughter_earrings_success)
            {
                textBoxEarRings.Text = "Серьги купила дочь";
                textBoxDeclaration.Text = daughter_compare;
            }

        }

        private void buttonClear_Click(object sender, EventArgs e)
        {
            textBoxRing.Clear();
            textBoxEarRings.Clear();
            textBoxDeclaration.Clear();
        }
    }
}
