﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ClassLibraryFilosofDinner;
using System.Threading;

namespace WindowsFormsTasksAndInstruments
{
    public partial class FormFilosofDinner : Form
    {
        public FormFilosofDinner()
        {
            InitializeComponent();
        }
        string[] famous = { "Пифагор","Конфуций","Сократ","Платон",
                               "Аристотель","Диоген","Архимед","Леонардо",
                               "Ньютон","Эйнштейн"};
        const string NL= "\r\n";
        private void buttonDinner_Click(object sender, EventArgs e)
        {
            int NPhil = int.Parse(textBoxNPhil.Text);
            int dinner_time = int.Parse(textBoxDinnerTime.Text);
            int repeat = int.Parse(textBoxRepeat.Text);

            ThinkWhenEat philosophers = new ThinkWhenEat(NPhil, repeat);
            //Время философам обедать
            philosophers.Dinner();
            Thread.Sleep(dinner_time);
            //Обед закончен
            string s = "";
            for (int i = 0; i < NPhil; i++)
            {
                if (NPhil < 11)
                    s = famous[i] + " : ";
                else 
                    s = "Философ " + i + " : ";
                s += philosophers.States[i] + NL;
                textBoxReport.Text += s;
            }

        }

        private void buttonClear_Click(object sender, EventArgs e)
        {
            textBoxReport.Clear();
        }
    }
}
